Summary: NetWare file/print server that runs under Linux
Name: mars-nwe
Version: 0.99pl10
Release: 1
Copyright: GPL
Source:  ftp://ftp.gwdg.de/pub/linux/misc/ncpfs/mars_nwe-0.99.pl10.tgz
Source1: mars_nwe-mk.li
Source2: mars_nwe-config.h
Source3: mars_nwe-nwserv.conf
Source4: mars_nwe-readme.txt
Source5: mars_nwe.init
Source6: mars_nwe.log
Patch0: mars_nwe-0.99pl10-glibc.patch
Group: Networking/Daemons
Exclusivearch: i386
Prereq: /sbin/chkconfig
Summary(de): NetWare-Datei/Druckserver unter Linux 
Summary(fr): Serveur Netware de fichiers/impression tournant sous Linux
Summary(tr): Linux altnda alan NetWare dosya/yazc sunucusu
BuildRoot: /var/tmp/marsnwe-root

%changelog
* Tue Aug 18 1998 Cristian Gafton <gafton@redhat.com>
- buildroot

* Sun May 10 1998 Alan Cox <alan@redhat.com>
- Made it compile with 2.1.* kernels and also gcc 2.0.7 where sysv_signal
  is correctly hidden as __sysv_signal.

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.99pl6
- enhanced initscripts

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- use sysv_signal everywhere instead of normal signal -- this makes signal
  handlers not block signals, which mars_nwe expects
- changed _ to - in name of logrotate config file

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated for chkconfig
- doesn't start by default
- added status, restart options to init script

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc

%description
MARS is a NetWare compatible file and printer server. It lets you use
a Linux machine as a file and print server for NetWare based clients
using NetWare's native IPX protocol suite.

%description -l de
MARS ist ein NetWare-kompatibler Datei- und Druckerserver. Er gestattet 
die Verwendung eines Linux-Rechners als ein Datei- und Druckserver fr 
NetWare-basierende Clients unter Verwendung der NetWare-eigenen 
IPX-Protokollserie. 

%description -l fr
MARS est un serveur de fichiers et d'impression compatible NetWare. Il
permet d'utiliser une machine Linux comme serveur de fichiers et
d'imoression pour des clients NetWare utilisant le protocole IPX
natif de NetWare.

%description -l tr
MARS, NetWare uyumlu bir dosya ve yazc sunucusudur. Bu program bir Linux
makinenin, NetWare in doal IPX protokol takmn kullanan NetWare
istemcilerinin dosya ve yazc sunucusu olarak kullanlmasn salar.

%prep
%setup -n mars_nwe
%patch0 -p1 -b .glibc
cp -f $RPM_SOURCE_DIR/mars_nwe-config.h ./config.h
cp -f $RPM_SOURCE_DIR/mars_nwe-mk.li ./mk.li

%build
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
for I in sys/login sys/public sys/system bindery; do \
	mkdir -p --mode=0755 $RPM_BUILD_ROOT/var/mars_nwe/$I
done

mkdir -p $RPM_BUILD_ROOT/var/log $RPM_BUILD_ROOT/var/run
install -m644 $RPM_SOURCE_DIR/mars_nwe-readme.txt $RPM_BUILD_ROOT/var/mars_nwe/sys/readme.txt
:> $RPM_BUILD_ROOT/var/log/mars_nwe.log
chmod 0644 $RPM_BUILD_ROOT/var/log/mars_nwe.log
:> $RPM_BUILD_ROOT/var/run/mars_nwe.routes
chmod 0644 $RPM_BUILD_ROOT/var/run/mars_nwe.routes

mkdir -p $RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT/usr/sbin
install -m644 examples/nwserv.stations $RPM_BUILD_ROOT/etc/nwserv.stations
for I in nwserv nwconn ncpserv nwclient nwbind; do
	install -s -m 755 $I $RPM_BUILD_ROOT/usr/sbin/$I
done
install -m600 $RPM_SOURCE_DIR/mars_nwe-nwserv.conf $RPM_BUILD_ROOT/etc/nwserv.conf

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d $RPM_BUILD_ROOT/etc/logrotate.d
install -m755 $RPM_SOURCE_DIR/mars_nwe.init $RPM_BUILD_ROOT/etc/rc.d/init.d/mars-nwe
install -m644 $RPM_SOURCE_DIR/mars_nwe.log $RPM_BUILD_ROOT/etc/logrotate.d/mars-nwe.log

%post
/sbin/chkconfig --add mars-nwe

%postun
if [ $0 = 0 ]; then
    /sbin/chkconfig --del mars-nwe
fi

%files
%dir /var/mars_nwe
/var/mars_nwe/sys
%dir /var/mars_nwe/bindery
%ghost /var/log/mars_nwe.log
%ghost /var/run/mars_nwe.routes
%config /etc/nwserv.conf
%config /etc/nwserv.stations
%config /etc/logrotate.d/mars-nwe.log
%doc README COPYING doc examples
/usr/sbin/nwserv
/usr/sbin/nwconn
/usr/sbin/ncpserv
/usr/sbin/nwclient
/usr/sbin/nwbind
%config /etc/rc.d/init.d/mars-nwe
